<?php

/* layout-form-copy.twig */
class __TwigTemplate_c4666a93341bb37176928adbd0823dc9228db19ad46594a61e1e516b7aebb9a3 extends Twig_Template
{
    public function __construct(Twig_Environment $env)
    {
        parent::__construct($env);

        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "layout-form-copy.twig", 10);
        $this->blocks = array(
            'formTitle' => array($this, 'block_formTitle'),
            'formButtons' => array($this, 'block_formButtons'),
            'formHtml' => array($this, 'block_formHtml'),
        );
    }

    protected function doGetParent(array $context)
    {
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = array())
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "layout-form-copy.twig", 11);
        // line 10
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = array())
    {
        // line 14
        echo "    ";
        $context["name"] = $this->getAttribute(($context["layout"] ?? null), "layout", array());
        // line 15
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Copy %name%"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 18
    public function block_formButtons($context, array $blocks = array())
    {
        // line 19
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 20
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 21
        echo __("Copy");
        echo ", \$(\"#layoutCopyForm\").submit()
";
    }

    // line 24
    public function block_formHtml($context, array $blocks = array())
    {
        // line 25
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 28
        echo __("General");
        echo "</span></a></li>
                <li><a href=\"#description\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 29
        echo __("Description");
        echo "</span></a></li>
            </ul>
            <form id=\"layoutCopyForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 31
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("layout.copy", array("id" => $this->getAttribute(($context["layout"] ?? null), "layoutId", array()))), "html", null, true);
        echo "\")>
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 34
        ob_start();
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                        ";
        ob_start();
        echo __("The Name of the Layout - (1 - 50 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                        ";
        ob_start();
        echo twig_escape_filter($this->env, $this->getAttribute(($context["layout"] ?? null), "layout", array()), "html", null, true);
        echo " 2";
        $context["layoutName"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), ($context["layoutName"] ?? null), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 39
        ob_start();
        echo __("Make new copies of all media on this layout?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                        ";
        ob_start();
        echo __("This will duplicate all media that is currently assigned to the Layout being copied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                        ";
        if (($this->getAttribute(($context["config"] ?? null), "LAYOUT_COPY_MEDIA_CHECKB", array()) == "Checked")) {
            // line 42
            echo "                            ";
            $context["checked"] = 1;
            // line 43
            echo "                        ";
        } else {
            // line 44
            echo "                            ";
            $context["checked"] = 0;
            // line 45
            echo "                        ";
        }
        // line 46
        echo "                        ";
        echo $context["forms"]->getcheckbox("copyMediaFiles", ($context["title"] ?? null), ($context["checked"] ?? null), ($context["helpText"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"description\">
                        ";
        // line 49
        ob_start();
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start();
        echo __("An optional description of the Layout. (1 - 250 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Twig_Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo $context["forms"]->gettextarea("description", ($context["title"] ?? null), $this->getAttribute(($context["layout"] ?? null), "description", array()), ($context["helpText"] ?? null));
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "layout-form-copy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  148 => 51,  143 => 50,  139 => 49,  132 => 46,  129 => 45,  126 => 44,  123 => 43,  120 => 42,  117 => 41,  112 => 40,  108 => 39,  102 => 37,  96 => 36,  91 => 35,  87 => 34,  81 => 31,  76 => 29,  72 => 28,  67 => 25,  64 => 24,  58 => 21,  54 => 20,  47 => 19,  44 => 18,  39 => 15,  36 => 14,  33 => 13,  29 => 10,  27 => 11,  11 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Twig_Source("{#
/*
 * Spring Signage Ltd - http://www.springsignage.com
 * Copyright (C) 2015 Spring Signage Ltd
 * (\${FILE_NAME})
 */

#}

{% extends \"form-base.twig\" %}
{% import \"forms.twig\" as forms %}

{% block formTitle %}
    {% set name = layout.layout %}
    {% trans %}Copy {{ name }}{% endtrans %}
{% endblock %}

{% block formButtons %}
    {% trans \"Help\" %}, XiboHelpRender(\"{{ help }}\")
    {% trans \"Cancel\" %}, XiboDialogClose()
    {% trans \"Copy\" %}, \$(\"#layoutCopyForm\").submit()
{% endblock %}

{% block formHtml %}
    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>{% trans \"General\" %}</span></a></li>
                <li><a href=\"#description\" role=\"tab\" data-toggle=\"tab\"><span>{% trans \"Description\" %}</span></a></li>
            </ul>
            <form id=\"layoutCopyForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"{{ urlFor(\"layout.copy\", {id: layout.layoutId}) }}\")>
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        {% set title %}{% trans \"Name\" %}{% endset %}
                        {% set helpText %}{% trans \"The Name of the Layout - (1 - 50 characters)\" %}{% endset %}
                        {% set layoutName %}{{ layout.layout }} 2{% endset %}
                        {{ forms.input(\"name\", title, layoutName, helpText) }}

                        {% set title %}{% trans \"Make new copies of all media on this layout?\" %}{% endset %}
                        {% set helpText %}{% trans \"This will duplicate all media that is currently assigned to the Layout being copied.\" %}{% endset %}
                        {% if config.LAYOUT_COPY_MEDIA_CHECKB == \"Checked\" %}
                            {% set checked = 1 %}
                        {% else %}
                            {% set checked = 0 %}
                        {% endif %}
                        {{ forms.checkbox(\"copyMediaFiles\", title, checked, helpText) }}
                    </div>
                    <div class=\"tab-pane\" id=\"description\">
                        {% set title %}{% trans \"Description\" %}{% endset %}
                        {% set helpText %}{% trans \"An optional description of the Layout. (1 - 250 characters)\" %}{% endset %}
                        {{ forms.textarea(\"description\", title, layout.description, helpText) }}
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}", "layout-form-copy.twig", "/home/mgatv524/public_html/shimoda/views/layout-form-copy.twig");
    }
}
